#include<stdio.h>
#include<stdlib.h>
#include "macierz.h"
#include "str.h"
#define MAXLINE 256

int main()
{
	int w,k;
	char nazwa[MAXLINE];
	float **M;
	FILE *plik;

	printf("Plik wczytuje macierz zapisana w pliku tekstowym\n");
	printf("Podaj nazwe pliku\n");
	czytajlinie(nazwa,MAXLINE);
	plik = fopen(nazwa,"r");
	if( plik == NULL)
	{
		printf("Blad otwarcia pliku\n");
		exit(1);
	}
	
	M=wczytaj_z_pliku(plik,&w,&k);
	if (M==NULL) 
	{
		printf("Blad wczytywania macierzy\n");
		fclose(plik);
		exit(2);
	}

	printf("Wczytano macierz o wymiarach %dx%d\n",w,k);
	wyswietl_macierz(M,w,k);
	zwolnij_macierz(M,w);
	fclose(plik);
	return 0;
}
