#include<stdio.h>
#include "macierz.h"
#include "str.h"
#define MAXLINE 256

int main()
{
	int w,k;
	char nazwa[MAXLINE];
	float **M;
	FILE *plik;

	printf("Program zapisuje podana macierz do pliku tekstowego\n");

	printf("Podaj liczbe wierszy : "); scanf("%d",&w);
	printf("Podaj liczbe kolumn : "); scanf("%d",&k);
	if((M=utworz_macierz(w,k))==NULL)
	{
		printf("Blad! Nie udalo sie utowrzyc macierzy\n");
		return 1;
	}
	
	wczytaj_macierz(M,w,k);
	wyswietl_macierz(M,w,k);
	
	printf("Podaj nazwe pliku do zapisu\n");

	while(liczznaki(czytajlinie(nazwa,MAXLINE))==0) ;

	plik = fopen(nazwa,"a");
	if( plik == NULL)
	{
		printf("Blad otwarcia pliku\n");
		zwolnij_macierz(M,w);
		return 1;
	}
	zapisz_macierz(plik,M,w,k);
	
	printf("OK - Zapisano macierz do pliku %s\n",nazwa);
	zwolnij_macierz(M,w);
	fclose(plik);
	return 0;
}
